Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.xpath
Class DefaultNamespaceContext

    java.lang.Object
      org.dom4j.xpath.DefaultNamespaceContext

All Implemented Interfaces:
  org.jaxen.NamespaceContext, Serializable

public class DefaultNamespaceContext
extends Object
implements org.jaxen.NamespaceContext, Serializable

`DefaultNamespaceContext` implements a Jaxen NamespaceContext such that a context node is used to determine the current XPath namespace prefixes and namespace URIs available.

Author:
  James Strachan
See Also:
  Serialized Form

Constructor Summary
`DefaultNamespaceContext(Element element)`

Method Summary
`static DefaultNamespaceContext` | `create(Object node)`
`String` | `translateNamespacePrefixToUri(String prefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultNamespaceContext

    public DefaultNamespaceContext(Element element)

Method Detail

### create

    public static DefaultNamespaceContext create(Object node)

### translateNamespacePrefixToUri

    public String translateNamespacePrefixToUri(String prefix)

  Specified by:
    `translateNamespacePrefixToUri` in interface `org.jaxen.NamespaceContext`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.